# Delete Meals

Deletes all meals within the specified dates. By default, the meals are deleted from the active meal plan, unless a `meal_plan_id` is specified.

## Delete Meals

<mark style="color:red;">`DELETE`</mark> `https://graph.whisk.com/mealplan/v2`

#### Request Body

| Name            | Type    | Description                                                                                                                    |
| --------------- | ------- | ------------------------------------------------------------------------------------------------------------------------------ |
| period          | object  | An object with `from` and `to` dates representing the date range period of meals to be deleted.                                |
| meal\_plan\_id  | string  | The meal plan identifier from which meals are to be deleted. By default the active meal plan will be used to delete the meals. |
| generated\_only | boolean | Indicates that only automatically generated meals are to be deleted. Default value is `false`.                                 |

{% tabs %}
{% tab title="200 Upon success, the method returns an empty response." %}

```
```

{% endtab %}
{% endtabs %}

## Sample Request

```bash
curl "https://graph.whisk.com/mealplan/v2" \
    -H "Accept: application/json" \
    -H "Authorization: Token <Access-Token>" \
    -d '{
        "period": {
            "from": {
                "year": 2020,
                "month": 3,
                "day": 10
            },
            "to": {
                "year": 2020,
                "month": 3,
                "day": 17
            }
        },
        "generated_only": true
    }'
```
